<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet 
	version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:itunes="http://www.itunes.com/DTDs/Podcast-1.0.dtd" >

<xsl:output method="xml" encoding="UTF-8" omit-xml-declaration="no" indent="no" />

<!-- ■■■ 各種設定 ■■■ -->
<!-- Podcastingのタイトル -->
<xsl:variable name="title"			 select="'【世界初】ビブラスラップ[VibraSlap]【唱歌ロック！】'" />
<!-- 説明 -->
<xsl:variable name="description" select="'福井が誇る唱歌系ロックバンド・VibraSlapが性懲りもなく世の中に送り出し続ける感動の唱々（うたうた）、ついにPodCasting開始！'" />
<!-- サイトのURL -->
<xsl:variable name="link" 			 select="'http://www.vibraslap.jp/'" />
<!-- copyright -->
<xsl:variable name="copyright"	 select="'Copyright VibraSlap'" />
<!-- 運営者 -->
<xsl:variable name="auther" 		 select="'VibraSlap'" />
<!-- カテゴリ -->
<xsl:variable name="category" 	 select="'Music'" />
<!-- サブカテゴリ -->
<xsl:variable name="subcategory" select="''" />
<!-- Podcastの画像 -->
<xsl:variable name="image"			 select="''" /><!-- http://から記述する -->
<!-- CMSDを配置したルートパス -->
<xsl:variable name="baseUrl"		 select="'http://design.main.jp/sample/podcasting/'" />
<!-- Podcasting用エントリフォルダ名 -->
<xsl:variable name="entryfolder" select="'vibrapc'" />

<!-- ※設定終わり。ここから下は変更しないで下さい。 -->
<xsl:template match="/entrylist">
	
<rss version="2.0" xmlns:itunes="http://www.itunes.com/DTDs/Podcast-1.0.dtd">
	 <channel>
			<title><xsl:value-of select="$title" /></title>
			<description><xsl:value-of select="$description" /></description>
			<link><xsl:value-of select="$link" /></link>
			<language>ja</language>
			<docs>http://blogs.law.harvard.edu/tech/rss</docs>
			<generator>http://cms.al-design.jp/</generator>
			<copyright><xsl:value-of select="$copyright" /></copyright>
			<lastBuildDate><xsl:apply-templates select="entry[1]" /></lastBuildDate>
			<category><xsl:value-of select="$category" /></category>
			<itunes:category test="{$category}">
				<xsl:if test="not($subcategory='')"><xsl:value-of select="$subcategory" /></xsl:if>
			</itunes:category>
			<itunes:owner>
				<itunes:name><xsl:value-of select="$auther" /></itunes:name>
			</itunes:owner>
			<xsl:if test="not($image='')">
			<itunes:image href="{$image}"><xsl:value-of select="$title" /></itunes:image>
			</xsl:if>

			<xsl:for-each select="entry">

			<item>
				<title><xsl:value-of select="title" /></title>
				<link>http://www.vibraslap.jp/</link>
				<description><xsl:value-of select="description" /></description>
				<itunes:summary><xsl:value-of select="description" /></itunes:summary>
				<itunes:subtitle><xsl:value-of select="subtitle" /></itunes:subtitle>
				<pubDate><xsl:apply-templates select="." /></pubDate>
				<itunes:category test="{$category}">
					<xsl:if test="not($subcategory='')"><xsl:value-of select="$subcategory" /></xsl:if>
				</itunes:category>
				<author><xsl:value-of select="$auther" /></author>
				<itunes:auther><xsl:value-of select="$auther" /></itunes:auther>
				<itunes:keywords><xsl:value-of select="keywords" /></itunes:keywords>
				
				<xsl:variable name="ext" select="substring( file/@src, string-length( file/@src ) - 2, 3 )" />
				<enclosure url="{$baseUrl}cmsdesigner/data/entry/{$entryfolder}/{file/@src}" length="{file/@filesize}">
						<xsl:attribute name="type">
						<xsl:if test="$ext='m4a'">audio/x-m4a</xsl:if>
						<xsl:if test="$ext='m4v'">video/x-m4v</xsl:if>
						<xsl:if test="$ext='mp3'">audio/mpeg</xsl:if>
						<xsl:if test="$ext='mov'">video/quicktime</xsl:if>
						<xsl:if test="$ext='mp4'">video/mp4</xsl:if>
						<xsl:if test="$ext='mpg'">video/mpeg</xsl:if>
						<xsl:if test="$ext='pdf'">application/pdf</xsl:if>
						<xsl:if test="$ext='avi'">video/msvideo</xsl:if>
						</xsl:attribute>
				 </enclosure>
			</item>
			
			</xsl:for-each>
			
	 </channel>
</rss>

</xsl:template>

<xsl:template match="entry">
<xsl:if test="@weekday='mon'">Mon</xsl:if>
<xsl:if test="@weekday='tue'">Tue</xsl:if>
<xsl:if test="@weekday='wed'">Wed</xsl:if>
<xsl:if test="@weekday='thu'">Thu</xsl:if>
<xsl:if test="@weekday='fri'">Fri</xsl:if>
<xsl:if test="@weekday='sat'">Sat</xsl:if>
<xsl:if test="@weekday='sun'">Sun</xsl:if>
,&#160;<xsl:value-of select="@day" />&#160;
<xsl:if test="@month='1'">Jan</xsl:if>
<xsl:if test="@month='2'">Feb</xsl:if>
<xsl:if test="@month='3'">Mar</xsl:if>
<xsl:if test="@month='4'">Apr</xsl:if>
<xsl:if test="@month='5'">May</xsl:if>
<xsl:if test="@month='6'">Jun</xsl:if>
<xsl:if test="@month='7'">Jul</xsl:if>
<xsl:if test="@month='8'">Aug</xsl:if>
<xsl:if test="@month='9'">Sep</xsl:if>
<xsl:if test="@month='10'">Oct</xsl:if>
<xsl:if test="@month='11'">Nov</xsl:if>
<xsl:if test="@month='12'">Dec</xsl:if>
&#160;<xsl:value-of select="@year" />&#160;<xsl:value-of select="@hour" />:<xsl:value-of select="@minute" />:<xsl:value-of select="@second" />&#160;+0900
</xsl:template>

</xsl:stylesheet>